Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Interface RowSetIterator

All Known Subinterfaces:
  RowSet, ViewObject

All Known Implementing Classes:
  ViewRowSetIteratorImpl

public interface RowSetIterator
extends RowIterator

Provides simple access to a set of rows.

View Object methods may use row set iterators to navigate through a row set resulting from a query. Row set iterators provide a window into the row set, making a subset of it accessible. Each row of the row set is represented by a Row object.

Since:
  JDeveloper 3.0

Fields inherited from interface oracle.jbo.RowIterator
`SLOT_BEFORE_FIRST, SLOT_BEYOND_LAST, SLOT_DELETED, SLOT_VALID`

Method Summary
`void` | `addListener(java.lang.Object listener)` Adds a subscriber (listener) to be notified of events generated by this row set iterator.
`RowSet` | `createDetailRowSet(java.lang.String voName, java.lang.String viewLinkDefName)` Creates a detail row set.
`RowSet[]` | `getDetailRowSets()` Gets all detail row sets linked to the master row set.
`java.lang.String` | `getName()` Gets the name of the iterator.
`RowSet` | `getRowSet()` Gets the row set that this iterator belongs to.
`void` | `removeListener(java.lang.Object listener)` Removes a subscriber (listener) for events generated by this row set iterator.

Methods inherited from interface oracle.jbo.RowIterator
`createKey, createRow, enumerateRowsInRange, findByEntity, findByKey, first, getAllRowsInRange, getCurrentRow, getCurrentRowIndex, getCurrentRowSlot, getFetchedRowCount, getRangeIndexOf, getRangeSize, getRangeStart, getRow, getRowAtRangeIndex, getRowCount, getRowCountInRange, hasNext, hasPrevious, insertRow, insertRowAtRangeIndex, isRangeAtBottom, isRangeAtTop, last, next, previous, removeCurrentRow, reset, scrollRange, scrollRangeTo, setCurrentRow, setCurrentRowAtRangeIndex, setRangeSize, setRangeStart, setRowValidation`

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the iterator. This name can be different from row set's name.
  Returns:
    a name.

### getRowSet

    public RowSet getRowSet()

  Gets the row set that this iterator belongs to.
  Returns:
    a row set.

### getDetailRowSets

    public RowSet[] getDetailRowSets()

  Gets all detail row sets linked to the master row set.
  Returns:
    An array of `RowSet` objects.

### createDetailRowSet

    public RowSet createDetailRowSet(java.lang.String voName,
                                     java.lang.String viewLinkDefName)

  Creates a detail row set.
  Parameters:
    `voName` - the name of the View Object containing the master row set. If a null string is given a unique name will be generated.
    `viewLinkDefName` - the name of a View Link definition.
  Returns:
    the detail row set.

### addListener

    public void addListener(java.lang.Object listener)

  Adds a subscriber (listener) to be notified of events generated by this row set iterator.
  Parameters:
    `listener` - The subscriber to be added.

### removeListener

    public void removeListener(java.lang.Object listener)

  Removes a subscriber (listener) for events generated by this row set iterator.
  Parameters:
    `listener` - The subscriber to be removed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD